
       {-- Defaults }
{$A-}  {-- A- byte alignment }
{$B-}  {-- B- short circuit boolean evaluation }
{$D+}  {-- D- No debug info }
{$E-}  {-- E- No emulation }
{$F-}  {-- F- Far calls only when necessary }
{$I-}  {-- I- I/O error checking done internally }
{$L+}  {-- L- No local symbols }
{$N-}  {-- N- Software reals }
{$R-}  {-- R- Range checking off }
{$S-}  {-- S- Stack overflow off }
{$V-}  {-- V- No strict type checking }

{define debug}	{ -- virtual memory debugging code }
{define semi}	{ -- more virtual memory debugging code, requires debug too }
{define light}	{ -- virtual memory debugging code }

{$IFDEF debug}
{$define debugcode}
{$ENDIF}

{$IFDEF semi}
{$define debugcode}
{$define debug}
{$ENDIF}

{$IFDEF light}
{$define debugcode}
{$ENDIF}

{-- Define Quick if you are using Quick Pascal and you want to use }
{-- the MSGRAPH unit. }
{-- NO LONGER SUPPORTED }
{define Quick }

{-- Define NoGr if you don't want to use Turbo's Graph unit. }
{-- or if you are using Quick Pascal }

{$define NoGr }

{-- The following defines select which graphics adaptors you don't }
{-- want to support. }
{-- Each adaptor supported adds about 3K to program size. You cannot }
{-- define ALL of these }

{define NoCGA }
{define NoHerc }
{define NoEVga }
{define NoSVga }

{-- Define NoVirt if you don't want to use the Virtual Memory }
{-- manager. Programs are about 8K smaller but cannot open as }
{-- many windows. }

{define NoVirt }


{-- Define for building the demonstrator version of the library }

{$define TeglDemo }

{$ifdef NoCGA}
{$ifdef NoHerc}
{$ifdef NoEVga}
{$ifdef NoSVga}
ERROR: You are attempting to build the library without any support
       for graphics adaptors! Disable one of the defines above.
{$endif}
{$endif}
{$endif}
{$endif}

{ -- if VER10 is defined then we are using Quick Pascal }
{ -- NoGr must be defined. }

{$ifdef VER10}
{$ifndef NoGr}
{$define NoGr}
{$endif}
{$endif}

{-- if Quick is defined then NoGr must be defined also to use }
{-- TGraph in place of Graph. This is redunant if the above test }
{-- works but might be needed if a later version of Quick Pascal }
{-- is used. }

{$ifdef Quick}
{$ifndef NoGr}
{$define NoGr}
{$endif}
{$endif}

{$DEFINE twWorld}   {-- define if world coordinates system is used. }

{$IFDEF twWorld}
{-- if using world coordinates then define ONLY one of the following }
{-- for the world coordinate system precision. }

{DEFINE wcFloatLint}	  {-- long integer }
{$DEFINE wcFloatReal}	   {-- standard 6 byte real }
{-- if either of these is defined then the 8087 must be available }
{-- or the emulator must be enabled. }
{DEFINE wcFloatSingle }   {-- single precision float }
{DEFINE wcFloatDouble }   {-- double precision float }

{$ENDIF}


